org.apache.maven.shared.artifact.filter.resolve.transform

## Class ArtifactIncludeFilterTransformer

- java.lang.Object
- - org.apache.maven.shared.artifact.filter.resolve.transform.ArtifactIncludeFilterTransformer

All Implemented Interfaces:
  FilterTransformer<org.apache.maven.artifact.resolver.filter.ArtifactFilter>

    public class ArtifactIncludeFilterTransformer
    extends Object
    implements FilterTransformer<org.apache.maven.artifact.resolver.filter.ArtifactFilter>

Makes it possible to use the TransformableFilters for Aether and as classic Maven ArtifactFilter. Note: the `AndFilter` and `ExclusionsFilter` are transformed to `ArtifactFilter` implementations of Maven Core

Since:
  3.0
Author:
  Robert Scholte

### Constructor Summary

Constructors
Constructor and Description
`ArtifactIncludeFilterTransformer()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `setActTransitivelyPattern(boolean actTransitivelyPattern)` Used by `transform(PatternExclusionsFilter)` and `transform(PatternInclusionsFilter)` Determines whether the include/exclude patterns will be applied to the transitive path of a given artifact.
`void` `setIncludeNullScope(boolean includeNullScope)` Used by `transform(ScopeFilter)` When filtering on artifacts it is possible that the scope is unknown.
`org.apache.maven.artifact.resolver.filter.ArtifactFilter` `transform(AbstractFilter filter)` Transform a custom filter to T specific implementation
`org.apache.maven.artifact.resolver.filter.AndArtifactFilter` `transform(AndFilter andFilter)` Transform the andFilter to T specific implementation
`org.apache.maven.artifact.resolver.filter.ArtifactFilter` `transform(ExclusionsFilter exclusionsFilter)` Transform the exclusionsFilter to T specific implementation
`org.apache.maven.artifact.resolver.filter.ArtifactFilter` `transform(OrFilter orFilter)` Transform the orFilter to T specific implementation
`org.apache.maven.artifact.resolver.filter.ArtifactFilter` `transform(PatternExclusionsFilter patternExclusionsFilter)` Transform the patternExclusionsFilter to T specific implementation
`org.apache.maven.artifact.resolver.filter.ArtifactFilter` `transform(PatternInclusionsFilter patternInclusionsFilter)` Transform the paternInclusionsFilter to T specific implementation
`org.apache.maven.artifact.resolver.filter.ArtifactFilter` `transform(ScopeFilter scopeFilter)` Transform the scopeFilter to T specific implementation

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ArtifactIncludeFilterTransformer

    public ArtifactIncludeFilterTransformer()

### Method Detail

#### setIncludeNullScope

    public void setIncludeNullScope(boolean includeNullScope)

Used by `transform(ScopeFilter)` When filtering on artifacts it is possible that the scope is unknown. Decide if artifact should be included if its scope is `null`, default is `true`

Parameters:
  `includeNullScope` - set to `false` if `null`-scoped Artifacts should not be included

#### setActTransitivelyPattern

    public void setActTransitivelyPattern(boolean actTransitivelyPattern)

Used by `transform(PatternExclusionsFilter)` and `transform(PatternInclusionsFilter)` Determines whether the include/exclude patterns will be applied to the transitive path of a given artifact. If `true`, and the current artifact is a transitive dependency brought in by another artifact which matches an inclusion or exclusion pattern, then the current artifact has the same inclusion/exclusion logic applied to it as well. Default is `false`

Parameters:
  `actTransitivelyPattern` - set to `true` if this artifact should be included/excluded just like one of its ancestors.

#### transform

    public org.apache.maven.artifact.resolver.filter.ArtifactFilter transform(ScopeFilter scopeFilter)

Description copied from interface: `FilterTransformer`
Transform the scopeFilter to T specific implementation

Specified by:
  `transform` in interface `FilterTransformer<org.apache.maven.artifact.resolver.filter.ArtifactFilter>`
Parameters:
  `scopeFilter` - the filter
Returns:
  the transformed filter, never `null`

#### transform

    public org.apache.maven.artifact.resolver.filter.AndArtifactFilter transform(AndFilter andFilter)

Description copied from interface: `FilterTransformer`
Transform the andFilter to T specific implementation

Specified by:
  `transform` in interface `FilterTransformer<org.apache.maven.artifact.resolver.filter.ArtifactFilter>`
Parameters:
  `andFilter` - the filter
Returns:
  the transformed filter, never `null`

#### transform

    public org.apache.maven.artifact.resolver.filter.ArtifactFilter transform(ExclusionsFilter exclusionsFilter)

Description copied from interface: `FilterTransformer`
Transform the exclusionsFilter to T specific implementation

Specified by:
  `transform` in interface `FilterTransformer<org.apache.maven.artifact.resolver.filter.ArtifactFilter>`
Parameters:
  `exclusionsFilter` - the filter
Returns:
  the transformed filter, never `null`

#### transform

    public org.apache.maven.artifact.resolver.filter.ArtifactFilter transform(OrFilter orFilter)

Description copied from interface: `FilterTransformer`
Transform the orFilter to T specific implementation

Specified by:
  `transform` in interface `FilterTransformer<org.apache.maven.artifact.resolver.filter.ArtifactFilter>`
Parameters:
  `orFilter` - the filter
Returns:
  the transformed filter, never `null`

#### transform

    public org.apache.maven.artifact.resolver.filter.ArtifactFilter transform(PatternExclusionsFilter patternExclusionsFilter)

Description copied from interface: `FilterTransformer`
Transform the patternExclusionsFilter to T specific implementation

Specified by:
  `transform` in interface `FilterTransformer<org.apache.maven.artifact.resolver.filter.ArtifactFilter>`
Parameters:
  `patternExclusionsFilter` - the filter
Returns:
  the transformed filter, never `null`

#### transform

    public org.apache.maven.artifact.resolver.filter.ArtifactFilter transform(PatternInclusionsFilter patternInclusionsFilter)

Description copied from interface: `FilterTransformer`
Transform the paternInclusionsFilter to T specific implementation

Specified by:
  `transform` in interface `FilterTransformer<org.apache.maven.artifact.resolver.filter.ArtifactFilter>`
Parameters:
  `patternInclusionsFilter` - the filter
Returns:
  the transformed filter, never `null`

#### transform

    public org.apache.maven.artifact.resolver.filter.ArtifactFilter transform(AbstractFilter filter)

Description copied from interface: `FilterTransformer`
Transform a custom filter to T specific implementation

Specified by:
  `transform` in interface `FilterTransformer<org.apache.maven.artifact.resolver.filter.ArtifactFilter>`
Parameters:
  `filter` - the filter
Returns:
  the transformed filter, never `null`